# Universal Request Link

### Your base recording link

> https\://<mark style="color:yellow;">your-birdie-subdomain</mark>.birdie.so/urec/<mark style="color:yellow;">helpdesk-name</mark>

Where <mark style="color:yellow;">your-birdie-subdomain</mark> is your Birdie subdomain, and <mark style="color:yellow;">helpdesk-name</mark> the name of your helpdesk.&#x20;

{% hint style="info" %}
You will find your Birdie subdomain into your Birdie Team Settings page: <https://app.birdie.test/team>
{% endhint %}

### Data Parameters

You can append query parameters to capture additional information:

* **`email`**: Your customer’s email address.
* **`ticket`**: ID of the ticket associated with the recording.
* **`tag`:** the tag you want to associate with the recording within Birdie.&#x20;

{% hint style="info" %}
Tip: you can add more than one **tag** by separating them with a comma, e.g. \
`?tag="bug,frontpage,signup"` will add 3 different tags to your video: `bug`, `frontpage`, and `signup`.
{% endhint %}

**Example with core parameters:**

{% code overflow="wrap" %}

```html
https://your-birdie-subdomain.birdie.so/urec/hubspot?email=customer@company.com&ticket=424983729507&tag=technical
```

{% endcode %}

You can also append any extra parameters of your choice in order to capture additional information:

**Example with extra parameters:**

{% code overflow="wrap" %}

```
https://your-birdie-subdomain.birdie.so/urec/hubspot?email=customer@company.com&ticket=424983729507&company=acme&customer_id=59823&utm_campaign=brand_awareness
```

{% endcode %}

{% hint style="info" %}
These params will be displayed along the video in the Birdie Player page, into the info right sidebar.\
Moreover, if you intend to use our API, you will be able to filter videos request with these parameters.&#x20;
{% endhint %}

### Behavior Parameters

* `promptcp=0` : Hides the final step asking the user to copy and paste the video URL back into the conversation.\
  \
  This is useful when you use the Birdie API to automatically post the video URL back into your helpdesk. In that case, showing this final step is unnecessary.\
  \
  **Example with behavior parameters:**

```
https://your-birdie-subdomain.birdie.so/urec/hubspot?email=customer@company.com&promptcp=0
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.birdie.so/birdie-docs/request-screen-recordings/installation/universal-request-link.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
